Summary
Preserve incoming form data format
Description
Find and revert containers object/array mutation
Route
POST /formbuilder/preserveFormData
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_name |
string |
yes |
Form name |
| data |
object |
yes |
Form output data to convert |
Copied to Clipboard
{
"form_name": "Form 123",
"data": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "7b358a71-8e23-2f30-33b6-f6467ba4dae3",
"groups": [
"25447c5ec9180bc3eaf9c01d",
"823aa4b98c709464e82a9f0d"
],
"created": "1991-12-31T00:03:53.654Z",
"created_by": "99685510ffbccab4ed787295",
"last_updated": "1952-01-07T18:17:15.098Z",
"last_updated_by": "6d299cfd2b1f7bfd6ef7c5f0"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"form_name": {
"title": "form_name",
"$ref": "formDocument#/definitions/formName"
},
"data": {
"title": "data",
"$ref": "formDocument"
}
},
"required": [
"form_name",
"data"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "a7c71c07-7629-a8b1-8817-0f35a87be514",
"groups": [
"24f0c103b4cba21f97751450",
"84043cad7551e53eb9dfa611"
],
"created": "2001-05-08T18:01:57.111Z",
"created_by": "3b023f6fa973729ffa037ad7",
"last_updated": "1963-02-13T12:17:32.048Z",
"last_updated_by": "11bc41cad2f470acd58281a1"
}